import type { NextPage } from "next";
import Head from "next/head";
import { useCallback } from "react";
import { useDispatch } from "react-redux";
import { userAuth } from "../core/redux/actions/auth";

const Home: NextPage = () => {
  return (
    <div>
      <Head>
        <title>Create Next App</title>
        <meta name="description" content="Generated by create next app" />
        <link rel="icon" href="/favicon.ico" />
      </Head>

      <main>
        hello
      </main>
    </div>
  );
};


export async function getServerSideProps() {
  return {
    redirect: {
      destination: '/auth',
      permanent: true,
    },
  }
}

export default Home;
